Subject: [PATCH 3/4] arm64: export effective Image size to bootloaders

From: [email-masked] (Geoff Levand)
Date: Thu, 19 Jun 2014 11:07:48 -0700

Hi Mark,

On Thu, 2014-06-19 at 11:25 +0100, Mark Rutland wrote:
> I disagree that the bootloader _must_ have to deal with the endianness
> of the kernel. If the user knows the endianness of the kernel and
> provides a filesystem of the appropriate endianness, I don't see why the
> bootloader should have to do anything differently. In most cases the
> bootloader has no need to care.

As I mentioned, I don't really care how this is fixed, but there will be
bootloaders built as both big and little endian (kexec based ones for
example), and so no matter what, bootloaders will need to deal with
converting values.

-Geoff